[Setup]
AppName=chrome

[FileToRun]
PathToExe=.\Application\$AppName$.exe
Parameters=--user-data-dir="%Profile%" --no-default-browser-check --disable-background-networking --disable-component-update --allow-outdated-plugins --force-device-scale-factor=1 --enable-features=PasswordImport

[Environment]
Profile=.\User Data
Registry=%Profile%\Registry
 
[Functions]
DirCreate=%Profile%|%Registry%
DirCreate=%Profile%\BrowserMetrics-spare.pma
FileCreate=%Profile%\BrowserMetrics
FileCreate=%Profile%\Default\optimization_guide_hint_cache_store
FileCreate=%Profile%\Default\optimization_guide_model_metadata_store
FileCreate=%Profile%\Default\optimization_guide_prediction_model_downloads
FileCreate=%Profile%\Default\commerce_subscription_db
FileCreate=%Profile%\Default\coupon_db

[WriteToReg=%Registry%\$AppName$_1.reg]
MainKey=HKEY_CURRENT_USER\Software\Google\Chrome
[WriteToReg=%Registry%\$AppName$_2.reg]
MainKey=HKEY_CURRENT_USER\Software\Google\Software Removal Tool
[WriteToReg=%Registry%\$AppName$_3.reg]
MainKey=HKEY_CURRENT_USER\Software\Google\Update
[WriteToReg=%Registry%\$AppName$_4.reg]
MainKey=HKEY_LOCAL_MACHINE\SOFTWARE\Google\Chrome

[RunBefore]
RegEdit=%Registry%\$AppName$_1.reg;$AppName$_2.reg;$AppName$_3.reg;$AppName$_4.reg

[RunAfter]
DirRemove=$LocalAppData$\CrashDumps
DirRemove=$LocalAppData$\Google\Chrome\User Data\Crashpad
DirRemove=$LocalAppData$\Google\Chrome\User Data|e
DirRemove=$LocalAppData$\Google\Chrome|e
DirRemove=$LocalAppData$\Google|e

DirRemove=%Profile%\Caps
DirRemove=%Profile%\EVWhitelist
DirRemove=%Profile%\SwReporter|e
DirRemove=%Profile%\SwiftShader|e
DirRemove=%Profile%\WidevineCDM|e
DirRemove=%Profile%\FileTypePolicies|e
DirRemove=%Profile%\OriginTrials|e
DirRemove=%Profile%\CertificateTransparency|e
DirRemove=%Profile%\CertificateRevocation|e
DirRemove=%Profile%\MEIPreload|e
DirRemove=%Profile%\InterventionPolicyDatabase|e
DirRemove=%Profile%\SSLErrorAssistant|e
DirRemove=%Profile%\PnaclTranslationCache
DirRemove=%Profile%\pnacl|e
DirRemove=%Profile%\Crashpad
DirRemove=%Profile%\ShaderCache
DirRemove=%Profile%\Safe Browsing
DirRemove=%Profile%\BrowserMetrics
DirRemove=%Profile%\BrowserMetrics-spare.pma
DirRemove=%Profile%\Webstore Downloads|e
DirRemove=%Profile%\GrShaderCache\GPUCache
DirRemove=%Profile%\GrShaderCache
FileDelete=%Profile%\Stability\*.pma
DirRemove=%Profile%\Stability|e
DirRemove=%Profile%\OptimizationGuidePredictionModels
FileDelete=%Profile%\*.tmp;*-journal*;chrome_shutdown*;CrashpadMetrics*;BrowserMetrics*;Safe Browsing *;Last *
FileDelete=%Profile%\Module Info Cache;*.json
FileDelete=%Profile%\Default\*.tmp;*-journal;log;log.old;*.log
FileDelete=.\Application\*.log
DirRemove=%Profile%\Default\Cache
DirRemove=%Profile%\Default\Code Cache
DirRemove=%Profile%\Default\GPUCache
DirRemove=%Profile%\Default\DawnCache
DirRemove=%Profile%\Default\optimization_guide_hint_cache_store
DirRemove=%Profile%\Default\optimization_guide_model_metadata_store
DirRemove=%Profile%\Default\optimization_guide_prediction_model_downloads
DirRemove=%Profile%\Default\commerce_subscription_db
DirRemove=%Profile%\Default\coupon_db
DirRemove=%Profile%\Default\Service Worker\CacheStorage
DirRemove=%Profile%\Default\Service Worker|e
DirRemove=%Profile%\Default\Storage\ext\chrome-signin\def\GPUCache
DirRemove=%Profile%\Default\Storage\ext\gfdkimpbcpahaombhbimeihdjnejgicl\def\Cache
DirRemove=%Profile%\Default\Storage\ext\gfdkimpbcpahaombhbimeihdjnejgicl\def\Code Cache
DirRemove=%Profile%\Default\Storage\ext\gfdkimpbcpahaombhbimeihdjnejgicl\def\GPUCache
DirRemove=%Profile%\Default\Storage\ext\gfdkimpbcpahaombhbimeihdjnejgicl\def\DawnCache

[Options]
DeleteTemp=true
ShowSplash=false
WriteLog=false
ShowTrayTip=false